#pragma once

#include <FL/Fl.H>
#include <FL/Fl_Gl_Window.H>
#include <GL/glut.h>
#include "v3.h"

class FrameBuffer : public Fl_Gl_Window {
public:
  unsigned int *pix;
  int w, h;
  FrameBuffer(int u0, int v0, int _w, int _h);
  void Set(unsigned int color);
  void Set(int u, int v, unsigned int col);
  void SetGuarded(int u, int v, unsigned int col);
  void draw();
  void DrawPoint(int u, int v, int psize, 
    unsigned int color);
  void DrawCircle(float uf, float vf, 
    float r, unsigned int color);
  void DrawSegment(V3 p0, V3 p1, 
    unsigned int color);
};
